/* 
 * Encodage & dcodage arithmtique
 */

#ifndef ARITH_H

#define ARITH_H

#include "utypes.h"

typedef UINT (*ABUFIO)(UCHAR *buf,UINT len);

/* codage */

void Arith_EncodeInit(ABUFIO writebuf,UCHAR *buf,UINT bufsize);
void Arith_Encode(UINT min,UINT max,UINT size);
void Arith_EncodeEnd(void);

/* dcodage */

void Arith_DecodeInit(ABUFIO readbuf,UCHAR *buf,UINT bufsize);
UINT Arith_DecodeVal(UINT size);
void Arith_Decode(UINT min,UINT max,UINT size);
void Arith_DecodeEnd(void);


#endif
