#include <stdlib.h>
#include "testcode.h"

#define BUFSIZE 32768

/*
 * Simple copie d'un fichier vers un autre en utilisant les procdures read_buf
 * et write_buf pour les entres sorties
 */

int CopyFile( UINT (*read_buf)(UCHAR *,UINT), 
						 UINT (*write_buf)(UCHAR *,UINT) )  {
	 
	 UCHAR *buf;
	 UINT len_read,len_write;
	 
	 buf=malloc(BUFSIZE);
	 if (buf==NULL) return 1;
	 
	 do  {
			len_read=read_buf(buf,BUFSIZE);
			len_write=write_buf(buf,len_read);
	 } while (len_read==BUFSIZE && len_read==len_write);

	 free(buf);

	 if (len_read!=len_write) return 1; 

	 return 0;
}



